## org.osgi.service.subsystem
Class SubsystemConstants

    java.lang.Object
      org.osgi.service.subsystem.SubsystemConstants

    public class SubsystemConstants

extends Object

Defines the constants used by Subsystem service property, manifest header, attribute and directive keys.

The values associated with these keys are of type `String`, unless otherwise indicated.

Version:
  $Id: 53f0bd1ccdd14681f09adc3c9dde8e0b95154b71 $

Field Summary
`static String` `DEPLOYED_CONTENT` Manifest header identifying the resources to be deployed.
`static String` `DEPLOYED_VERSION_ATTRIBUTE` Manifest header attribute identifying the deployed version.
`static String` `DEPLOYMENT_MANIFESTVERSION` Manifest header identifying the deployment manifest version.
`static String` `PREFERRED_PROVIDER` Manifest header used to express a preference for particular resources to satisfy implicit package dependencies.
`static String` `PROVISION_POLICY_ACCEPT_DEPENDENCIES` A value for the `provision-policy` directive indicating the subsystem accepts dependency resources.
`static String` `PROVISION_POLICY_DIRECTIVE` Manifest header directive identifying the provision policy.
`static String` `PROVISION_POLICY_REJECT_DEPENDENCIES` A value for the `provision-policy` directive indicating the subsystem does not accept dependency resources.
`static String` `PROVISION_RESOURCE` Manifest header identifying the resources to be deployed to satisfy the dependencies of a subsystem.
`static String` `ROOT_SUBSYSTEM_SYMBOLICNAME` The symbolic name of the root subsystem.
`static String` `START_ORDER_DIRECTIVE` Manifest header directive identifying the start order of subsystem contents.
`static String` `SUBSYSTEM_CONTENT` Manifest header identifying the list of subsystem contents identified by a symbolic name and version.
`static String` `SUBSYSTEM_DESCRIPTION` Manifest header identifying the human readable description.
`static String` `SUBSYSTEM_EXPORTSERVICE` Manifest header identifying services offered for export.
`static String` `SUBSYSTEM_ID_PROPERTY` The name of the service property for the `subsystem ID`.
`static String` `SUBSYSTEM_IMPORTSERVICE` Manifest header identifying services required for import.
`static String` `SUBSYSTEM_MANIFESTVERSION` Manifest header identifying the subsystem manifest version.
`static String` `SUBSYSTEM_NAME` Manifest header identifying the human readable subsystem name.
`static String` `SUBSYSTEM_STATE_PROPERTY` The name of the service property for the subsystem `state`.
`static String` `SUBSYSTEM_SYMBOLICNAME` Manifest header value identifying the symbolic name for the subsystem.
`static String` `SUBSYSTEM_SYMBOLICNAME_PROPERTY` The name of the service property for the subsystem `symbolic name`.
`static String` `SUBSYSTEM_TYPE` Manifest header identifying the subsystem type.
`static String` `SUBSYSTEM_TYPE_APPLICATION` The resource type value identifying an application subsystem.
`static String` `SUBSYSTEM_TYPE_COMPOSITE` The resource type value identifying an composite subsystem.
`static String` `SUBSYSTEM_TYPE_FEATURE` The resource type value identifying an feature subsystem.
`static String` `SUBSYSTEM_TYPE_PROPERTY` The name of the service property for the `subsystem type`.
`static String` `SUBSYSTEM_VERSION` Manifest header value identifying the version of the subsystem.
`static String` `SUBSYSTEM_VERSION_PROPERTY` The name of the service property for the subsystem `version`.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEPLOYED_CONTENT

    public static final String DEPLOYED_CONTENT

  Manifest header identifying the resources to be deployed.

  See Also:
    Constant Field Values

### DEPLOYED_VERSION_ATTRIBUTE

    public static final String DEPLOYED_VERSION_ATTRIBUTE

  Manifest header attribute identifying the deployed version.

  See Also:
    Constant Field Values

### DEPLOYMENT_MANIFESTVERSION

    public static final String DEPLOYMENT_MANIFESTVERSION

  Manifest header identifying the deployment manifest version. If not present, the default value is `1`.

  See Also:
    Constant Field Values

### PREFERRED_PROVIDER

    public static final String PREFERRED_PROVIDER

  Manifest header used to express a preference for particular resources to satisfy implicit package dependencies.

  See Also:
    Constant Field Values

### PROVISION_POLICY_DIRECTIVE

    public static final String PROVISION_POLICY_DIRECTIVE

  Manifest header directive identifying the provision policy. The default value is `rejectDependencies`

  See Also:
    `PROVISION_POLICY_ACCEPT_DEPENDENCIES`, `PROVISION_POLICY_REJECT_DEPENDENCIES`, Constant Field Values

### PROVISION_POLICY_ACCEPT_DEPENDENCIES

    public static final String PROVISION_POLICY_ACCEPT_DEPENDENCIES

  A value for the `provision-policy` directive indicating the subsystem accepts dependency resources. The root subsystem has this provision policy.

  See Also:
    Constant Field Values

### PROVISION_POLICY_REJECT_DEPENDENCIES

    public static final String PROVISION_POLICY_REJECT_DEPENDENCIES

  A value for the `provision-policy` directive indicating the subsystem does not accept dependency resources. This is the default value.

  See Also:
    Constant Field Values

### PROVISION_RESOURCE

    public static final String PROVISION_RESOURCE

  Manifest header identifying the resources to be deployed to satisfy the dependencies of a subsystem.

  See Also:
    Constant Field Values

### START_ORDER_DIRECTIVE

    public static final String START_ORDER_DIRECTIVE

  Manifest header directive identifying the start order of subsystem contents. There is no default value. Specified values are of type `String` and must represent an integer.

  See Also:
    Constant Field Values

### SUBSYSTEM_CONTENT

    public static final String SUBSYSTEM_CONTENT

  Manifest header identifying the list of subsystem contents identified by a symbolic name and version.

  See Also:
    Constant Field Values

### SUBSYSTEM_DESCRIPTION

    public static final String SUBSYSTEM_DESCRIPTION

  Manifest header identifying the human readable description.

  See Also:
    Constant Field Values

### SUBSYSTEM_EXPORTSERVICE

    public static final String SUBSYSTEM_EXPORTSERVICE

  Manifest header identifying services offered for export.

  See Also:
    Constant Field Values

### SUBSYSTEM_ID_PROPERTY

    public static final String SUBSYSTEM_ID_PROPERTY

  The name of the service property for the `subsystem ID`. The value of this property must be of type `Long`.

  See Also:
    Constant Field Values

### SUBSYSTEM_IMPORTSERVICE

    public static final String SUBSYSTEM_IMPORTSERVICE

  Manifest header identifying services required for import.

  See Also:
    Constant Field Values

### SUBSYSTEM_MANIFESTVERSION

    public static final String SUBSYSTEM_MANIFESTVERSION

  Manifest header identifying the subsystem manifest version. If not present, the default value is `1`.

  See Also:
    Constant Field Values

### SUBSYSTEM_NAME

    public static final String SUBSYSTEM_NAME

  Manifest header identifying the human readable subsystem name.

  See Also:
    Constant Field Values

### SUBSYSTEM_STATE_PROPERTY

    public static final String SUBSYSTEM_STATE_PROPERTY

  The name of the service property for the subsystem `state`. The value of this property must be of type `Subsystem.State`.

  See Also:
    Constant Field Values

### SUBSYSTEM_SYMBOLICNAME

    public static final String SUBSYSTEM_SYMBOLICNAME

  Manifest header value identifying the symbolic name for the subsystem. Must be present.

  See Also:
    Constant Field Values

### SUBSYSTEM_SYMBOLICNAME_PROPERTY

    public static final String SUBSYSTEM_SYMBOLICNAME_PROPERTY

  The name of the service property for the subsystem `symbolic name`.

  See Also:
    Constant Field Values

### ROOT_SUBSYSTEM_SYMBOLICNAME

    public static final String ROOT_SUBSYSTEM_SYMBOLICNAME

  The symbolic name of the root subsystem.

  See Also:
    Constant Field Values

### SUBSYSTEM_TYPE

    public static final String SUBSYSTEM_TYPE

  Manifest header identifying the subsystem type.

  See Also:
    `SUBSYSTEM_TYPE_APPLICATION`, `SUBSYSTEM_TYPE_COMPOSITE`, `SUBSYSTEM_TYPE_FEATURE`, Constant Field Values

### SUBSYSTEM_TYPE_PROPERTY

    public static final String SUBSYSTEM_TYPE_PROPERTY

  The name of the service property for the `subsystem type`.

  See Also:
    `SUBSYSTEM_TYPE_APPLICATION`, `SUBSYSTEM_TYPE_COMPOSITE`, `SUBSYSTEM_TYPE_FEATURE`, Constant Field Values

### SUBSYSTEM_TYPE_APPLICATION

    public static final String SUBSYSTEM_TYPE_APPLICATION

  The resource type value identifying an application subsystem.

  This value is used for the `osgi.identity` capability attribute `type`, the `SUBSYSTEM_TYPE` manifest header and the `SUBSYSTEM_TYPE_PROPERTY` service property.

  See Also:
    Constant Field Values

### SUBSYSTEM_TYPE_COMPOSITE

    public static final String SUBSYSTEM_TYPE_COMPOSITE

  The resource type value identifying an composite subsystem.

  This value is used for the `osgi.identity` capability attribute `type`, the `SUBSYSTEM_TYPE` manifest header and the `SUBSYSTEM_TYPE_PROPERTY` service property.

  See Also:
    Constant Field Values

### SUBSYSTEM_TYPE_FEATURE

    public static final String SUBSYSTEM_TYPE_FEATURE

  The resource type value identifying an feature subsystem.

  This value is used for the `osgi.identity` capability attribute `type`, the `SUBSYSTEM_TYPE` manifest header and the `SUBSYSTEM_TYPE_PROPERTY` service property.

  See Also:
    Constant Field Values

### SUBSYSTEM_VERSION

    public static final String SUBSYSTEM_VERSION

  Manifest header value identifying the version of the subsystem. If not present, the default value is `0.0.0`.

  See Also:
    Constant Field Values

### SUBSYSTEM_VERSION_PROPERTY

    public static final String SUBSYSTEM_VERSION_PROPERTY

  The name of the service property for the subsystem `version`. The value of this property must be of type `Version`.

  See Also:
    Constant Field Values

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.